{
    'conditions': [
        ['OS=="win"', {
            'variables': {
                'GTK_Root%': 'win64/gtk', # Set the location of GTK all-in-one bundle
                'COMPAT%': 'win64/compat',
                'SDL2_Libs%': 'win64/lib',
                'SDL2_Includes%': 'win64/include',
                'Opus_Lib': 'win64/opus/lib',
                'Opus_Include': 'win64/opus/include',
            }
         }],
	 ['OS=="mac"', {
            'variables': {
                'Cairo_Include%': 'osx-libraries/include/',
                'Cairo_Lib': '../osx-libraries/lib/',
                'Opus_Lib': '../osx-libraries/lib/',
                'Opus_Include': 'osx-libraries/include/opus/',
                'Frameworks%': '../osx-libraries/Frameworks'
            }
        }]
    ],
    "targets": [
        {
            'target_name': 'graphics-postbuild',
            'dependencies': ['graphics'],
            'conditions': [
                ['OS=="win"', {
                    'copies': [{
                        'destination': '<(PRODUCT_DIR)',
                        'files': [
                            '<(GTK_Root)/bin/libcairo-2.dll',
                            '<(GTK_Root)/bin/libexpat-1.dll',
                            '<(GTK_Root)/bin/libfontconfig-1.dll',
                            '<(GTK_Root)/bin/libfreetype-6.dll',
                            '<(GTK_Root)/bin/libpng14-14.dll',
                            '<(GTK_Root)/bin/zlib1.dll',
                            '<(SDL2_Libs)/SDL2.dll',
                            '<(SDL2_Libs)/SDL2_net.dll',
                        ]
                    }]
                }]
            ]
        },
        {
            "target_name": "graphics",
            "sources": ["vector.cc", "wireframe.cc", "network.cc", "globals.cc", "window.cc", "menu.cc", "question.cc", "wav.cc", "graphics.cc"],
            "conditions": [
                ['OS=="win"', {
                     "libraries": [
                         '-l../<(GTK_Root)/lib/cairo.lib',
                         '-l../<(GTK_Root)/lib/libpng.lib',
                         '-l../<(GTK_Root)/lib/freetype.lib',
                         '-l../<(SDL2_Libs)/SDL2.lib',
                         '-l../<(SDL2_Libs)/SDL2main.lib',
                         '-l../<(SDL2_Libs)/SDL2_net.lib',
			 '-l../<(Opus_Lib)/opus.lib',
                     ],
                     "include_dirs": [
                         '<(GTK_Root)/include',
                         '<(GTK_Root)/include/cairo',
                         '<(GTK_Root)/include/freetype2',
                         '<(COMPAT)/',
                         '<(SDL2_Includes)/',
			 '<(Opus_Include)/',
                     ],
                 }],
		 ['OS=="mac"', {
                     "libraries": ['<(Cairo_Lib)/libcairo.a',
                                   '<(Cairo_Lib)/libfreetype.a',
                                   '<(Cairo_Lib)/libpixman-1.a',
                                   '<(Cairo_Lib)/libbz2.a',
                                   '<(Cairo_Lib)/libpng16.a',
                                   '<(Cairo_Lib)/libz.a',
                                   '<(Opus_Lib)/libopus.a',
                                   'SDL2.framework',
                                   'SDL2_net.framework',
                                   ],
                     "include_dirs": ['<(Cairo_Include)',
                                      '<(Cairo_Include)/freetype2',
                                      '<(Opus_Include)'],
                     "mac_framework_dirs": ['<(Frameworks)/']
                 }],
		['OS=="linux"', {
		     "include_dirs": ['/usr/include/SDL2/',
				      '/usr/include/freetype2/',
                                      '/usr/include/opus/'],
		     'libraries': ['-lSDL2', '-lSDL2_net', '-lcairo', '-lfreetype', '-lopus']
                 }]
            ],
        }
    ]
}
