'use strict';

const args = require('yargs')
      // .option('condition', {
      //     describe: "Specify the default condition for incoming connections",
      //     choices: ['autoturn', 'youturn', 'flappy_autoturn', 'flappy_youturn'],
      //     default: 'flappy_youturn'})
      // .option('log-format', {
      //     describe: "Specify the default log format for incoming connections",
      //     choices: ['native', 'flappy', 'sf'],
      //     default: 'native'})
      .option('verbose', {
          describe: "Verbose output",
          type: 'boolean',
          default: false})
      .option('debug', {
          describe: "enable debug features",
          type: 'boolean',
          default: false})
      .option('debug-output', {
	  describe: "The file to save debug output to.",
	  type: 'string',
          default: 'debug-headless.log'})
      .option('id', {
          describe: "Specify the unique identifier for this experiment session",
          type: 'string',
          default: '1'})
      .option('line-ending', {
          describe: "Line endings to use.",
          choices: ['crlf', 'lf'],
          default: 'crlf'})
      .option('port', {
          describe: "The port to connect on",
          type: 'number',
          default: 3000})
      .option('hunt-for-port', {
          describe: "Keep trying port+1 until one works.",
          type: 'boolean',
          default: true})
      .option('logs', {
          describe: "The directory used to store the log files",
          default: 'logs/'})
      .option('bot', {
          describe: 'Set the player to be controlled by the bot. 0 means disabled.',
          choices: [0,1,2],
          type: 'number',
          default: 0})
      .option('stepping', {
          describe: "How the game logic is stepped forward.",
          options: ['timer', 'model'],
          default: 'timer'})
      .option('disconnect-action', {
          describe: 'The action to take when a client disconnects.',
          default: 'quit',
          options: ['quit', 'lobby']})
      .help()
      .argv;

var ModelServer = require('./modelserver');

const fs = require('fs');


//console.log(`(:message-type :info :text "logdir is ${args.logs}")`);

var m = new ModelServer(args);

m.init();
