#include "graphics.hh"

class Menu {
protected:
  Window *mWindow;

  SDL_Rect mScreenModeRects[3];
  SDL_Rect mDebugRect;
  SDL_Rect mStartRect;
  std::vector<SDL_Rect*> mModeRects;
  std::vector<SDL_Rect*> mSessionRects;
  std::vector<SDL_Rect*> mConditionRects;
  std::vector<SDL_Rect*> mScrambleRects;
  SDL_Rect mOneToOneScaleRect, mTenTwentyFourScaleRect, mSevenTenScaleRect;
  SDL_Rect mCairoRect, mSdlRect;
  SDL_Rect mLW1Rect, mLW2Rect, mLW3Rect;

public:
  std::string mSubjectId;
  int mScreenMode;
  int mSession;
  int mCondition;
  int mScramble;
  int mMode;
  bool mDebug;
  std::vector<std::string> mModes;
  std::vector<std::string> mSessions;
  std::vector<std::string> mConditions;
  int mNumScrambles;
  int mScale, mGraphics;
  double mLineWidth;
  std::string mWarning;

  Menu(Window *w, std::vector<std::string>& sessions, std::vector<std::string>& conditions, int numScrambles, std::string &warning);
  ~Menu();

  void run();

  std::string modeName();
  bool inputActive();
  bool sessionsActive();
  std::string inputText();
  bool canStart();
  void updateRects();
  void drawButton(const std::string& text, SDL_Rect *box, bool selected);
  void redraw();
  void mouseClick( const SDL_Event &e, bool& update, bool &done );
};
