#include "graphics.hh"

typedef struct {
  unsigned char riff[4] = {'R', 'I', 'F', 'F'};
  Uint32 size = 0;
  char header[4] = {'W', 'A', 'V', 'E'};
  unsigned char ckId[4] = {'f', 'm', 't', ' '};
  Uint32 ckSize = 16;
  Uint16 formatTag = 0x0003;
  Uint16 channels = 1;
  Uint32 sampleRate = 0;
  Uint32 avgBytesPerSecond = 0;
  Uint16 blockSize = 4;
  Uint16 bitsPerSample = 32;
} WAVHeader;

typedef struct {
  unsigned char id[4] = {'f', 'a', 'c', 't'};
  Uint32 size = 4;
  Uint32 sampleLength = 0;
}WAV_Fact_Chunk;

typedef struct {
  unsigned char id[4] = {'d', 'a', 't', 'a'};
  Uint32 size = 0;
} WAV_Data_Chunk;

// typedef struct {
//   unsigned char id[4] = {'L', 'I', 'S', 'T'};
//   Uint32 size = 0;
//   unsigned char tag[4] = {'I', 'N', 'F', 'O'};
// } WAV_INFO_Chunk;

// typedef struct {
//   unsigned char id[4];
//   Uint32 size = 0;
// } WAV_INFO_Tag;

class WAV {
private:
  WAVHeader mHeader;
  WAV_Fact_Chunk mFact;
  WAV_Data_Chunk mData;
  std::ofstream mFile;
public:
  int mBytesWritten;

  WAV();
  ~WAV();

  void open(const std::string &filename, int sampleRate, int channels);
  bool isOpen();
  void close();
  void write(const char *data, int bytes);
};
